IHeaderCell

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface IHeaderCell

    com.change_vision.jude.api.inf.presentation.IHeaderCell

All Implemented Interfaces:
  ICell, IHyperlinkOwner, IPresentation

public IHeaderCell
extends ICell

Interface for CRUD header cell.

Method Summary
`abstract String` | `getLabel()` Get Label.
`abstract IElement` | `getModel()` Get Model.
`abstract IHeaderCell` | `getParent()` Get parent header cell.
`abstract boolean` | `isColumnHeader()` Check if the header cell is a column.
`abstract boolean` | `isTotal()` Check if the header cell is a total cell.
`abstract boolean` | `isVisible()` Check if the header cell is visible.

Methods inherited from class com.change_vision.jude.api.inf.presentation.IPresentation
`getID`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getModel

    public abstract IElement getModel()

  Get Model.

  Returns:
    Return Model.

### getLabel

    public abstract String getLabel()

  Get Label.

  Returns:
    String Label. Return empty string("") if there is none.

### getParent

    public abstract IHeaderCell getParent()

  Get parent header cell.

  Returns:
    Parent Header Cell

### isVisible

    public abstract boolean isVisible()

  Check if the header cell is visible.

  Returns:
    true the header cell is visible / false the header cell is not visible

### isColumnHeader

    public abstract boolean isColumnHeader()

  Check if the header cell is a column.

  Returns:
    true the header is column / false the header cell is not column

### isTotal

    public abstract boolean isTotal()

  Check if the header cell is a total cell.

  Returns:
    true the header cell is a total cell / false the header cell is not a total cell.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD